export const ROLE_TYPE = {
  ADMIN: '系统管理员',
  PMO: '总负责人',
  BUSSINESS: '业务线负责人',
  REGION_MANAGER: '大区经理',
  REGION_COORDINATOR: '区域协调人',
  EFFECT_ENGINEER: '实施工程师',
  ASSISTANT_ENGINEER: '助理工程师',
  ACCOUNT_MANAGER: '客户经理',
  QA: 'QA',
  CUSTOM: '技术客服',
  DEFINED: '自定义',
};

// 系统管理 ------->
// 客户类型
export const CUSTOMER_TYPE = {
  OFFICE: '高校教务处',
  CLOUD_MARK: '研究生',
};
// 供应商类型
export const SUPPLIER_TYPE = {
  HUMAN: '人力供应商',
  DEVICE: '设备供应商',
};
// 设备状态
export const RUNNING_STATUS = {
  NORMAL: '正常',
  BREAK_DOWN: '故障',
};
// 公告类型
export const NOTICE_TYPE = {
  SYSTEM: '公告',
  SERVICE: '服务单元通知',
  SUPPLIER: '供应商通知',
};
export const PUBLISH_STATUS = {
  PUBLISH: '已发布',
  UN_PUBLISH: '未发布',
};

// 服务单元管理 ------->
// 服务单元管理
export const SERVICE_UNIT_STATUS = {
  NEW: '新建',
  PUBLISH: '已发布',
  FINISH: '已完结',
  CANCEL: '已作废',
};

// 项目质量管理 ------->
// 问题类型
export const ISSUES_TYPE = {
  UPDATE: '修正类',
  OPTIMIZE: '优化类',
  NO_PROBLEM: '不是问题',
};
// 问题原因类型
export const ISSUES_REASON_TYPE = {
  EXEC: '执行类',
  MANAGER: '管理协调类',
  FLOW: '流程制度类',
  PRODUCT_PROBLEM: '产品缺陷类',
  PRODUCT_MANAGER: '产品运维类',
  OTHER: '其它',
};
export const ISSUES_INFLUENCE_DEGREE = ['A', 'B', 'C', 'D'];

// SOP
export const FLOW_STATUS = {
  START: '已开始',
  AUDITING: '审核中',
  REJECT: '已驳回',
  END: '已终止',
  FINISH: '已结束',
};

export const MESSAGE_TYPE = {
  BEFORE: '提前提醒',
  AFTER: '延期提醒',
  OFFICE_SOP: '教务处SOP',
  CLOUD_MARK_SOP: '云阅卷SOP',
  QUALITY: '质量问题提醒',
  EXCEPTION_APPROVE: '异常审核提醒',
  VIOLATION: '违规提醒',
  SYSTEM_PLAN_CHANGE: '系统计划变更提醒',
  SYSTEM: '系统公告',
};
